com.elastisys.scale.cloudpool.api.types

## Class CloudPoolStatus

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.CloudPoolStatus

    public class CloudPoolStatus
    extends Object

Represents an execution status for a `CloudPool`.

See Also:
  `CloudPool`

### Constructor Summary

Constructors
Constructor and Description
`CloudPoolStatus(boolean started, boolean configured)` Creates a `CloudPoolStatus`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`boolean` `isConfigured()` Indicates if the `CloudPool` is configured.
`boolean` `isStarted()` Indicates if the `CloudPool` is in a started state.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudPoolStatus

    public CloudPoolStatus(boolean started,
                           boolean configured)

Creates a `CloudPoolStatus`.

Parameters:
  `started` - Indicates if the `CloudPool` is in a started state.
  `configured` - Indicates if the `CloudPool` is configured.

### Method Detail

#### isStarted

    public boolean isStarted()

Indicates if the `CloudPool` is in a started state.

Returns:

#### isConfigured

    public boolean isConfigured()

Indicates if the `CloudPool` is configured.

Returns:

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`